%set_verify_elf_method unresolved=relaxed
%define lib chilli
Name: coova-%lib
Version: 1.3.0
Release: alt1

Summary: Coova-Chilli is a Wireless LAN Access Point Controller
License: GPLv2
Group: Productivity/Networking

Url: http://www.coova.org/CoovaChilli/
Source: %name-%version.tar.gz

#Requires: lib%lib = %version-%release

# Automatically added by buildreq on Sat Aug 09 2014
# optimized out: gnu-config python3-base
BuildRequires: mt-st python3

%description
Coova-Chilli is a fork of the ChilliSpot project - an open source captive
portal or wireless LAN access point controller. It supports web based login
(Universal Access Method, or UAM), standard for public HotSpots, and it
supports Wireless Protected Access (WPA), the standard for secure roamable
networks. Authentication, Authorization and Accounting (AAA) is handled by
your favorite radius server. Read more at http://coova.org/ and
http://www.chillispot.org/.

#%package -n lib%lib
#Summary: Main %name library
#Group: Libraries

#%description -n lib%lib
#This package contains %name library.

#%package -n lib%lib-devel
#Summary: Development files for %name
#Group: Development/C
#Requires: lib%lib = %version-%release

#%description -n lib%lib-devel
#This package contains files to develop with lib%name

%prep
%setup -n %name-%version

%build
%configure --enable-statusfile --enable-chilliproxy --enable-miniportal --enable-curl --enable-dhcpopt --enable-l2tpppp  --enable-ieee8023 \
    --enable-miniconfig  --enable-chilliredir --enable-layer3 --enable-multiroute --enable-multilan --enable-chillixml \
    --enable-chilliscript --enable-acceptlanguage --enable-extadmvsa --enable-pppoe --enable-ssdp --enable-eapol \
    --enable-sessionid --enable-apsessionid
%make_build

%install
%makeinstall_std

%post
/sbin/chkconfig --add chilli

%preun
if [ $1 = 0 ]; then
        /sbin/service chilli stop > /dev/null 2>&1
        /sbin/chkconfig --del chilli
fi

%files
%exclude %_libdir/*.a
%defattr(-,root,root)
%_sbindir/*
%_sysconfdir/chilli.conf
%_sysconfdir/init.d/chilli
%dir %_sysconfdir/chilli
%dir %_sysconfdir/chilli/www
%config %_sysconfdir/chilli/gui-config-default.ini
%config(noreplace) %_sysconfdir/chilli/defaults
%_sysconfdir/chilli/www/*
%_sysconfdir/chilli/wwwsh
%_sysconfdir/chilli/functions
%_libdir/*
%attr(755,root,root)%_sysconfdir/chilli/*.sh
%_libdir/python/CoovaChilliLib.py
%_man1dir/*
%_man5dir/*
%_man8dir/*
%doc AUTHORS LICENSE NEWS README COPYING ChangeLog INSTALL doc/dictionary.chillispot doc/hotspotlogin.cgi doc/attributes
%exclude %_includedir/%lib
%exclude %_libdir/%name
%exclude %_libdir/debug

%changelog
